Package org.eclipse.birt.report.engine.api

# Interface IParameterGroupDefn

All Superinterfaces:
  `IParameterDefnBase`

All Known Subinterfaces:
  `ICascadingParameterGroup`

public interface IParameterGroupDefn extends IParameterDefnBase
The interface for objects which visually groups report parameters.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`displayExpanded()`
returns whether to display the parameter group in expanded form
`ArrayList`
`getContents()`
returns the set of parameters that appear inside the group.

### Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

## Method Details

### getContents

ArrayList getContents()
returns the set of parameters that appear inside the group.

Returns:
  the set of parameters that appear inside the group.

### displayExpanded

boolean displayExpanded()
returns whether to display the parameter group in expanded form

Returns:
  whether to display the parameter group expanded